from pydantic import BaseModel, conlist


class SfpModule(BaseModel):
    rx_los: bool = True
    rx_power_dbm: int = 0
    tx_fault: bool = True
    tx_power_watt: float = 0
    mod_abs: bool = True


class SfpTelemetry(BaseModel):
    modules: list[SfpModule] = [SfpModule(), SfpModule()]


